Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003057Piwigousers & groupspublic2014.03.18 23:302014.03.25 13:29
Reporterplg 
Assigned Toplg 
PriorityhighSeverityminorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.6.0 
Target Version2.6.2Fixed in Version2.6.2 
Summary0003057: incoherent permissions lead to SQL query crash
Descriptionhttp://piwigo.org/forum/viewtopic.php?id=23482 [^]

Some new code in Piwigo 2.6 is much more sensitive when facing an incoherent permission and hierarchy. For example when user U1 has access to private album "A/A1" but not to private album "A".

It's hard to know when and how the incoherence was created but it exists on many Piwigo databases. It was not a real problem until now because it was not generating such a SQL crash with a, invalid value for user_cache.forbidden_categories.
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0007378)
svn (reporter)
2014.03.24 21:19

[Subversion] r27925 by plg on branch 2.6

-----[Subversion commit log]----------------------------------------------------
bug 3057: avoid warnings and SQL crash when encountering inconsistent
permissions + rewrite permissions consistancy check when setting albums
to private status.
(0007379)
svn (reporter)
2014.03.24 21:22

[Subversion] r27926 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
merge r27925 from branch 2.6 to trunk

bug 3057: avoid warnings and SQL crash when encountering inconsistent
permissions + rewrite permissions consistancy check when setting albums
to private status.

(0007380)
plg (manager)
2014.03.25 13:29

Tested by rvelices http://piwigo.org/forum/viewtopic.php?pid=150653#p150653 [^]

- Issue History
Date Modified Username Field Change
2014.03.18 23:30 plg New Issue
2014.03.18 23:30 plg Status new => assigned
2014.03.18 23:30 plg Assigned To => plg
2014.03.18 23:30 plg browser => any
2014.03.18 23:30 plg Web server => Apache 1.3.x
2014.03.24 21:19 svn Checkin
2014.03.24 21:19 svn Note Added: 0007378
2014.03.24 21:22 svn Checkin
2014.03.24 21:22 svn Note Added: 0007379
2014.03.25 13:29 plg Note Added: 0007380
2014.03.25 13:29 plg Status assigned => closed
2014.03.25 13:29 plg Resolution open => fixed
2014.03.25 13:29 plg Fixed in Version => 2.6.2


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker